import 'package:vnote_device_plugin/devices/sp_o2.dart';
import 'package:vitalapp/pages/medical/controllers/base.dart';

class SpO2DeviceController extends BaseDeviceController<SpO2DeviceWorker> {
  SpO2DeviceController(super.model, super.mac);

  @override
  SpO2DeviceWorker createWorker() {
    return SpO2DeviceWorker(model: model, mac: mac);
  }

  @override
  void loadListeners() {
    super.loadListeners();
  }
}
